groovy.transform

## Annotation Type VisibilityOptions

-     @Documented
       @Retention(value=SOURCE)
       @Target(value={TYPE,CONSTRUCTOR,METHOD})
      public @interface VisibilityOptions

  Marker annotation used in the context of AST transformations to provide a custom visibility.
  Since:
    2.5.0

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Visibility` | `constructor`
    `java.lang.String` | `id`
    `Visibility` | `method`
    `Visibility` | `type`
    `Visibility` | `value`

- - ### Element Detail

    - #### value

          public abstract Visibility value

      Default:
        groovy.transform.options.Visibility.UNDEFINED

  - - #### id

          public abstract java.lang.String id

      Default:
        "<DummyUndefinedMarkerString-DoNotUse>"

  - - #### type

          public abstract Visibility type

      Default:
        groovy.transform.options.Visibility.UNDEFINED

  - - #### method

          public abstract Visibility method

      Default:
        groovy.transform.options.Visibility.UNDEFINED

  - - #### constructor

          public abstract Visibility constructor

      Default:
        groovy.transform.options.Visibility.UNDEFINED